using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace PersonSport.Models {
    public class Sport {
        [Required] 
        public int SportId { get; set; }

        [Required(ErrorMessage="Du måste ange sportens namn")]
        [StringLength(50, MinimumLength = 3, ErrorMessage = "Namnet måste vara mellan 3 och 50 tecken")]
        [Display(Name = "Namn på sporten")] 
        public string SportNamn { get; set; }

        [Required(ErrorMessage = "Du måste välja en bild för webbsidan")]
        [StringLength(60, MinimumLength = 3, ErrorMessage = "Bildens namn måste vara mellan 3 och 60 tecken")]
        [Display(Name = "Stor bakgrundsbild")]
        public string Bakgrundsbild { get; set; }

        [Required(ErrorMessage = "Du måste skriva en ingresstext")]
        [StringLength(200, MinimumLength = 10, ErrorMessage = "Din ingress-text måste vara mellan 10 och 200 tecken")]
        [Display(Name = "Ingresstext")]
        public string Ingress { get; set; }

        [StringLength(2000)]
        [Display(Name = "Detaljerad text")]
        public string DetaljText { get; set; }

        [StringLength(200)]
        [Display(Name = "Träningstider")]
        public string Traningstider { get; set; }
        
        public virtual ICollection<PersonSport> PersonSporter { get; set; }
    }
}
